Bug 215822 - gnome-power-manager shut down a machine when it was supposed to ask
gnome-power-manager shut down a machine when it was supposed to ask
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 16:58 EST by Michal Jaegermann
Modified: 2013-03-05 22:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:01:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-11-15 16:58:10 EST
Description of problem:

In 'gnome-power-preferences' panel, under "General", a default choice
of action "When power button is pressed" is "Ask me".  So I pressed
that power button.  In /var/log/acpid I see

 received event "button/power PWRF 00000080 00000001"
 notifying client 2380[68:68]
 notifying client 2519[0:0]
 executing action "/bin/ps awwux | /bin/grep gnome-power-manager | /bin/grep -qv
grep || /sbin/shutdown -h now"
 BEGIN HANDLER MESSAGES
 END HANDLER MESSAGES
 action exited with status 0
 completed event "button/power PWRF 00000080 00000001"

so the event was apparently handed back to gnome-power-manager but nobody
asked anything .  When I hold a power button a bit longer then a machine
performed a regular shutdown still without asking anything at all. 
Maybe the later action is not that surprising.

If "Ask me" happens to be yet inoperational than it likely should be
disabled as one of possibilities instead of beeing a default.

BTW - an awful and racy way to check for a gnome-power-manager
process in acpid action.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.16.0-3.fc6

How reproducible:
apparently always
Comment 1 Richard Hughes 2006-11-15 17:27:19 EST
I think that acpid check just checks if gnome-power-manager is running, and if
it is, then lets  g-p-m do the action. What does g-p-m do when you press the
power button?
Comment 2 Michal Jaegermann 2006-11-15 20:01:40 EST
> What does g-p-m do when you press the power button?

How does it matter?  I reported that a script attached to some
"action" is incorrect (although it will usually work as expected);
not mentioning that needlessly complicated. g-p-m is entirely
different thing.

But if you really want to know what g-p-m did then look at
bug 215822.  It appears that actually nothing or at least not
what was advertised.
Comment 3 Michal Jaegermann 2006-11-15 20:05:26 EST
I am sorry.  Scratch comment #2.  I mixed that with bug 215824.

Going back to a question from comment #1 what gnome-power-manager
did is exactly the gist of this report and I have to admit
that I do not understand your question.
Comment 4 Bug Zapper 2008-04-04 00:42:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Michal Jaegermann 2008-04-04 18:55:43 EDT
I just tried on F8 installation in a session with where
gnome-power-manager was configured "Ask me" on a power button
pressed.  When I actually did that then it immediately turned off
a screen, fret around for a while, and kicked me back to a login
screen (lit up at that moment).  A subsequent check in /var/log/messages
revealed the following from gnome-power-manager:
"GNOME interactive logout because the power button has been pressed".
This, BTW, is none of choices shown on GUI.

Pretty strange way of "asking" if you will ask me.
Comment 6 Michal Jaegermann 2008-04-06 14:06:02 EDT
Somebody set on this NEEDINFO flag?  What info?  See comment #5.
Comment 7 John Poelstra 2008-04-06 15:45:35 EDT
Sorry about the mistake. Changing to ASSIGNED
Comment 8 François Kooman 2008-11-04 12:20:35 EST
Maybe a related problem, in Fedora Rawhide (Preview Release for F10) I set g-p-m to suspend when pressing the power button. But instead it shuts my laptop down...

System -> Preferences -> System -> Power Management -> [General] -> When the power button is pressed: [Suspend]

gnome-power-manager-2.24.1-3.fc10.x86_64
Comment 9 Bug Zapper 2008-11-26 02:05:43 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:01:19 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.